Bug 886093 - knit frequently hangs polling fd 3 on first attempt to get ticket
knit frequently hangs polling fd 3 on first attempt to get ticket
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 08:55 EST by Dave Allan
Modified: 2016-04-26 10:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-08 15:16:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Allan 2012-12-11 08:55:56 EST
Description of problem:
I often (~30% of the time) find when I run kinit for the first time upon starting work that I never get the "Password for..." prompt.  I've straced the process a few times and also attached with gdb, and the state is always the same.  kinit is continuously polling:

poll([{fd=3, events=POLLIN}], 1, -22650) = 1 ([{fd=3,revents=POLLIN}])

gdb reports the following stacktrace:

Thread 1 (Thread 0x7f907ade4800 (LWP 2008)):
#0  0x00007f9078f1ab94 in __GI___poll (fds=0x7f907c699678, nfds=1,
timeout=-88545) at ../sysdeps/unix/sysv/linux/poll.c:83
#1  0x00007f907a0ee0eb in ?? () from /lib64/libkrb5.so.3
#2  0x00007f907a0eef3c in ?? () from /lib64/libkrb5.so.3
#3  0x00007f907a0ef3e4 in krb5_sendto_kdc () from /lib64/libkrb5.so.3
#4  0x00007f907a0c195b in ?? () from /lib64/libkrb5.so.3
#5  0x00007f907a0c1b0c in ?? () from /lib64/libkrb5.so.3
#6  0x00007f907a0c37df in krb5_get_init_creds_password () from
/lib64/libkrb5.so.3
#7  0x00007f907ae0d165 in main ()


Version-Release number of selected component (if applicable):
krb5-workstation-1.10.2-6.fc17.x86_64

How reproducible:
~30%

Steps to Reproduce:
1. boot system
2. execute kinit

  
Actual results:
hang

Expected results:
password prompt

Additional info:
I'm assuming this behavior is something specific to my system as I have not been able to find any other mention of it, but I'm stumped as to what is wrong.
Comment 1 Dave Allan 2012-12-11 08:57:05 EST
Oh, I forgot to add that a second attempt usually works, and on the few occasions on which the second and third attempts have also failed, attempting to strace the process has always caused the password prompt to appear.
Comment 2 Dave Allan 2012-12-14 09:29:35 EST
I don't have a lot of data yet, but I've been using a slightly different and higher performance network connection for the past few days and I have not seen the hang.  The hang isn't slowness, ie, I can't explain the difference just based on having better connectivity, because when I see the hang it truly hangs--I've left it for minutes and it does not return whereas the success case returns in < 1s.  Could also be coincidence...
Comment 3 Dave Allan 2013-01-03 08:14:46 EST
I finally saw it again on the faster network connection today.  Backtrace is identical.  I have core files from both an earlier occurrence and this one.
Comment 4 Fedora End Of Life 2013-07-03 21:16:14 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Dave Allan 2013-07-08 15:16:23 EDT
I haven't seen this behavior in many months, so closing.

Note You need to log in before you can comment on or make changes to this bug.